Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class DSAPrivateKey

    java.lang.Object
      com.mindbright.jca.security.spec.DSAParamsImpl
          com.mindbright.jca.security.spec.DSAParameterSpec
              com.mindbright.security.publickey.DSAKey
                  com.mindbright.security.publickey.DSAPrivateKey

All Implemented Interfaces:
  AlgorithmParameterSpec, DSAKey, DSAParams, DSAPrivateKey, Key, PrivateKey, java.io.Serializable

public class DSAPrivateKey
extends DSAKey
implements DSAPrivateKey

See Also:
  Serialized Form

Field Summary
`protected java.math.BigInteger` | `x`

Fields inherited from class com.mindbright.jca.security.spec.DSAParamsImpl
`g, p, q`

Constructor Summary
`DSAPrivateKey(java.math.BigInteger x, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g)`

Method Summary
`java.math.BigInteger` | `getX()`

Methods inherited from class com.mindbright.security.publickey.DSAKey
`getAlgorithm, getEncoded, getFormat, getParams`

Methods inherited from class com.mindbright.jca.security.spec.DSAParamsImpl
`getG, getP, getQ`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.jca.security.interfaces.DSAKey
`getParams`

Methods inherited from interface com.mindbright.jca.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface com.mindbright.jca.security.interfaces.DSAParams
`getG, getP, getQ`

Field Detail

### x

    protected java.math.BigInteger x

Constructor Detail

### DSAPrivateKey

    public DSAPrivateKey(java.math.BigInteger x,
                         java.math.BigInteger p,
                         java.math.BigInteger q,
                         java.math.BigInteger g)

Method Detail

### getX

    public java.math.BigInteger getX()

  Specified by:
    `getX` in interface `DSAPrivateKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD